/// <reference types="bunyan" />
import { IHttpClientConfig, CreateBuildSessionIdRequest, GetBuildSessionIdResponse, CreateBuildSessionIdResponse } from "./contracts";
import { HttpClient } from "./http-client";
import bunyan = require('bunyan');
export declare class BackendProxy {
    protected config: IHttpClientConfig;
    protected logger: bunyan;
    protected client: HttpClient;
    constructor(config: IHttpClientConfig, logger: bunyan);
    getBuildSession(buildSessionId: string, callback: (err: Error, response: GetBuildSessionIdResponse) => void): void;
    createBuildSessionId(request: CreateBuildSessionIdRequest, callback: (err: Error, response: CreateBuildSessionIdResponse) => void): void;
    protected invokeCallback(callback: (err: Error, response: any) => void, err: Error, body: any, map?: (body: any) => any): void;
}
